require "gamestate"
menu = {}

function menu.load()
	pixelFont1 = font
	menu.count = 5
	_menu = {}
		_menu.text = { "New Game", "Load Game", "Options", "Credits", "Exit Game"}
		_menu.positionY = { 210, 240, 270, 300, 330 }
		_menu.positionX = { 350, 350, 350, 350, 350 }
		_menu.status = { false, false, false, false, false }
	table.insert(menu,_menu)	
end

function menu.update(dt)
	local msX, msY = love.mouse.getPosition()
	for i = 1, menu.count do
		local textW, textH = pixelFont1:getWidth(_menu.text[i]), pixelFont1:getHeight(_menu.text[i])
		if msX >= _menu.positionX[i] and msX <= textW + _menu.positionX[i]
		and msY >= _menu.positionY[i] and msY <= _menu.positionY[i] + textH then
			_menu.status[i] = true
		else _menu.status[i] = false
		end
	end		
end

function love.mousepressed(x,y)
	if _menu.status[1] == true 
	then states.active[2] = true
		states.active[1] = false
	end
	if _menu.status[5] == true
	then love.event.push('quit')
	end
end

function menu.printItem(item)
	if _menu.status[item] == false
	then love.graphics.setColor(255,255,255)
		 love.graphics.print(_menu.text[item],_menu.positionX[item],_menu.positionY[item])
	end
	if _menu.status[item] == true
	then love.graphics.setColor(0,255,255)
		 love.graphics.print(_menu.text[item],_menu.positionX[item],_menu.positionY[item])
	end
end

function menu.draw()
	for i = 1, menu.count do
		menu.printItem(i)
	end
end
------------------------------------------------------
function MENU_UPDATE(dt)
	menu.update(dt)
end

function MENU_DRAW()
	menu.draw()
end	